Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.network
Class NetworkRegistry

    java.lang.Object
      org.jboss.remoting.network.NetworkRegistry

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, NetworkRegistryMBean

    public class NetworkRegistry

extends java.lang.Object
implements NetworkRegistryMBean

NetworkRegistry is a concrete implemenation of the NetworkRegistryMBean interface. The NetworkRegistry will keep a list of all the detected JBoss servers on the network and provide a local facility for querying for different servers.

Version:
  $Revision: 566 $
Author:
  Jeff Haynie

Constructor Summary
`NetworkRegistry()`

Method Summary
`void` | `addNotificationListener(javax.management.NotificationListener notificationListener, javax.management.NotificationFilter notificationFilter, java.lang.Object o)`
`void` | `addServer(Identity identity, ServerInvokerMetadata[] invokers)` add a server for a given identity that is available on the network
`void` | `changeDomain(java.lang.String newDomain)` change the main domain of the local server
`static NetworkRegistry` | `getInstance()` return the singleton instance
`javax.management.MBeanNotificationInfo[]` | `getNotificationInfo()`
`NetworkInstance[]` | `getServers()` return the servers on the network
`boolean` | `hasServer(Identity identity)` returns true if the server with the identity is available
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean aBoolean)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer mBeanServer, javax.management.ObjectName objectName)`
`NetworkInstance[]` | `queryServers(NetworkFilter filter)` query the network registry for `0..*` of servers based on a filter.
`void` | `removeNotificationListener(javax.management.NotificationListener notificationListener)`
`void` | `removeServer(Identity identity)` remove a server no longer available on the network
`void` | `updateServer(Identity identity, ServerInvokerMetadata[] invokers)` update the invokers for a given server

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetworkRegistry

    public NetworkRegistry()

Method Detail

### getInstance

    public static final NetworkRegistry getInstance()

  return the singleton instance

  Returns:

### addServer

    public void addServer(Identity identity,
                          ServerInvokerMetadata[] invokers)

  add a server for a given identity that is available on the network

  Specified by:
    `addServer` in interface `NetworkRegistryMBean`
  Parameters:
    `identity` -
    `invokers` -

### updateServer

    public void updateServer(Identity identity,
                             ServerInvokerMetadata[] invokers)

  update the invokers for a given server

  Specified by:
    `updateServer` in interface `NetworkRegistryMBean`
  Parameters:
    `identity` -
    `invokers` -

### getServers

    public NetworkInstance[] getServers()

  return the servers on the network

  Specified by:
    `getServers` in interface `NetworkRegistryMBean`
  Returns:

### hasServer

    public boolean hasServer(Identity identity)

  returns true if the server with the identity is available

  Specified by:
    `hasServer` in interface `NetworkRegistryMBean`
  Parameters:
    `identity` -
  Returns:

### queryServers

    public NetworkInstance[] queryServers(NetworkFilter filter)

  query the network registry for `0..*` of servers based on a filter. if the filter is null, it is considered a wildcard.

  Specified by:
    `queryServers` in interface `NetworkRegistryMBean`
  Parameters:
    `filter` -
  Returns:

### removeServer

    public void removeServer(Identity identity)

  remove a server no longer available on the network

  Specified by:
    `removeServer` in interface `NetworkRegistryMBean`
  Parameters:
    `identity` -

### addNotificationListener

    public void addNotificationListener(javax.management.NotificationListener notificationListener,
                                        javax.management.NotificationFilter notificationFilter,
                                        java.lang.Object o)
                                 throws java.lang.IllegalArgumentException

  Specified by:
    `addNotificationListener` in interface `javax.management.NotificationBroadcaster`
  Throws:
    `java.lang.IllegalArgumentException`

### getNotificationInfo

    public javax.management.MBeanNotificationInfo[] getNotificationInfo()

  Specified by:
    `getNotificationInfo` in interface `javax.management.NotificationBroadcaster`

### removeNotificationListener

    public void removeNotificationListener(javax.management.NotificationListener notificationListener)
                                    throws javax.management.ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `javax.management.NotificationBroadcaster`
  Throws:
    `javax.management.ListenerNotFoundException`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

### postRegister

    public void postRegister(java.lang.Boolean aBoolean)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer mBeanServer,
                                                   javax.management.ObjectName objectName)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### changeDomain

    public void changeDomain(java.lang.String newDomain)

  change the main domain of the local server

  Specified by:
    `changeDomain` in interface `NetworkRegistryMBean`
  Parameters:
    `newDomain` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.